# DeleteReverseSyncRegistration

Delete a webhook registration.

`DELETE /api/v2/connector-sync/companies/{companyId}/registrations/{registrationId}`

**API:** AvaTax API
**Tag:** ItemsReverseSync
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/ItemsReverseSync/DeleteReverseSyncRegistration/

## Description

Deletes the webhook registration identified by the specified registration ID for the given company.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CSPTester, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns this registration. |
| `registrationId` | integer | path | Yes | The ID of the registration to delete. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success. Returns deletion details for the webhook registration. |  |
| 400 | Bad request. The request is invalid. |  |
| 401 | Unauthorized. Authentication failed or was not provided. |  |
| 404 | Not found. The requested resource was not found. |  |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/connector-sync/companies/{companyId}/registrations/{registrationId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```